#pragma once
#include "vec3.h"

struct Sphere {
    Vec3 center;
    Scalar radius;

    Sphere(Vec3 c, Scalar r):center(c), radius(r){}

    Vec3 normal_of(const Vec3 &pos) const{ //const->la sfera non cambia nonostante ho calcolato la normale
        return (pos-center).normalized();
    }
};
